Subject: Re: bug#53590: 28.0.91; icompletion-vertical-mode gets stuck on 'M-x man RET awk'

From: Van Ly <[email-masked]>
Date: Fri, 28 Jan 2022 19:23:43 +0000 (UTC)

On Fri, 28 Jan 2022, Eli Zaretskii wrote:

>> Date: Fri, 28 Jan 2022 14:53:16 +0000 (UTC)
>> From: Van Ly <[email-masked]>
>> cc: [email-masked]
>>
>>>                                                        Are you sure
>>> "M-x man" on your system is capable of completion in the default
>>> completion mode in "emacs -Q"?  If not, maybe your man-db database is
>>> missing or outdated?
>>>
>>
>> On NetBSD the output from apropos is different in format to the one
>> on GNU/Linux.  Could that be why the behavior is stuck?
>
> Could be, but why are you looking at "apropos"?

I used "apropos" in the environment outside of GNU Emacs as a test
that man-db database is working.

>                                                  AFAIU, man.el uses
> "man -k", and there are various attempts to adapt to some systems, see
> Man-man-k-use-anchor.  Maybe NetBSD needs to be handled like kfreebsd?
>

Looking at /etc/man.conf (attached see), I have two lines as follows:

> plan9 /usr/local/plan9/man/
> heirloom /usr/pkg/heirloom-doctools/man

Maybe that missing final forward slash is a problem.

Thanks, I will look up:

* man.el
* Man-man-k-use-anchor

Maybe NetBSD wants to be handled like kfreebsd, as you say.

-- 
vl